// -*- mode: C++; c-file-style: "stroustrup"; c-basic-offset: 4; -*-
////////////////////////////////////////////////////////////////////
//
// $Id: max_dag.h 706 2010-06-22 14:58:23Z Sebastian Kupferschmid $
//
////////////////////////////////////////////////////////////////////

#ifndef MAX_DAG_H
#define MAX_DAG_H

#include <vector>

namespace cg {

    class MaxDAG {
	const std::vector<std::vector<std::pair<int, int> > > &weighted_graph;
	bool debug;
    public:
	MaxDAG(const std::vector<std::vector<std::pair<int, int> > > &graph) : weighted_graph(graph), 
								debug(false) {}
	void get_result(std::vector<int>&);
    };    
}

#endif
