// -*- mode: C++; c-file-style: "stroustrup"; c-basic-offset: 4; -*-
////////////////////////////////////////////////////////////////////
//
// $Id: edge.h 844 2011-10-13 22:05:28Z Sebastian Kupferschmid $
//
////////////////////////////////////////////////////////////////////

#ifndef EDGE_H
#define EDGE_H

#include <iosfwd>

class Node;
class Edge {
public:
    Node* from;
    Node* to;    

    Edge(Node* from, Node* to);    
    bool operator==(const Edge& rhs) const;
};

std::ostream& operator<<(std::ostream& o, const Edge& e);

#endif /* EDGE_H */
